Package com.ocient.jdbc.proto

## Class PlanProtocol.PlanMessage.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.PlanMessage.Builder>
      - - com.ocient.jdbc.proto.PlanProtocol.PlanMessage.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `PlanProtocol.PlanMessageOrBuilder`, `Cloneable`

Enclosing class:
  PlanProtocol.PlanMessage

    public static final class PlanProtocol.PlanMessage.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.PlanMessage.Builder>
    implements PlanProtocol.PlanMessageOrBuilder

    The actual plan sent by the command compiler

Protobuf type `xg.db.sqlPlans.PlanMessage`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`PlanProtocol.PlanMessage.Builder` `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`PlanProtocol.PlanMessage` `build()`
`PlanProtocol.PlanMessage` `buildPartial()`
`PlanProtocol.PlanMessage.Builder` `clear()`
`PlanProtocol.PlanMessage.Builder` `clearEmptyResultSet()` This is only needed for explain For actual execution we don't even bother generating a plan If this is set, nothing else will be set
`PlanProtocol.PlanMessage.Builder` `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)`
`PlanProtocol.PlanMessage.Builder` `clearHeader()` Header first
`PlanProtocol.PlanMessage.Builder` `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`PlanProtocol.PlanMessage.Builder` `clearRootNode()` The root operator - this is the last operator In other words, the data that comes out of here is what is returned to the caller
`PlanProtocol.PlanMessage.Builder` `clearType()` The type of the plan
`PlanProtocol.PlanMessage.Builder` `clone()`
`PlanProtocol.PlanMessage` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`boolean` `getEmptyResultSet()` This is only needed for explain For actual execution we don't even bother generating a plan If this is set, nothing else will be set
`PlanProtocol.PlanHeader` `getHeader()` Header first
`PlanProtocol.PlanHeader.Builder` `getHeaderBuilder()` Header first
`PlanProtocol.PlanHeaderOrBuilder` `getHeaderOrBuilder()` Header first
`PlanProtocol.Operator` `getRootNode()` The root operator - this is the last operator In other words, the data that comes out of here is what is returned to the caller
`PlanProtocol.Operator.Builder` `getRootNodeBuilder()` The root operator - this is the last operator In other words, the data that comes out of here is what is returned to the caller
`PlanProtocol.OperatorOrBuilder` `getRootNodeOrBuilder()` The root operator - this is the last operator In other words, the data that comes out of here is what is returned to the caller
`PlanProtocol.PlanMessage.PlanType` `getType()` The type of the plan
`int` `getTypeValue()` The type of the plan
`boolean` `hasHeader()` Header first
`boolean` `hasRootNode()` The root operator - this is the last operator In other words, the data that comes out of here is what is returned to the caller
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`PlanProtocol.PlanMessage.Builder` `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`PlanProtocol.PlanMessage.Builder` `mergeFrom​(com.google.protobuf.Message other)`
`PlanProtocol.PlanMessage.Builder` `mergeFrom​(PlanProtocol.PlanMessage other)`
`PlanProtocol.PlanMessage.Builder` `mergeHeader​(PlanProtocol.PlanHeader value)` Header first
`PlanProtocol.PlanMessage.Builder` `mergeRootNode​(PlanProtocol.Operator value)` The root operator - this is the last operator In other words, the data that comes out of here is what is returned to the caller
`PlanProtocol.PlanMessage.Builder` `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`
`PlanProtocol.PlanMessage.Builder` `setEmptyResultSet​(boolean value)` This is only needed for explain For actual execution we don't even bother generating a plan If this is set, nothing else will be set
`PlanProtocol.PlanMessage.Builder` `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`PlanProtocol.PlanMessage.Builder` `setHeader​(PlanProtocol.PlanHeader value)` Header first
`PlanProtocol.PlanMessage.Builder` `setHeader​(PlanProtocol.PlanHeader.Builder builderForValue)` Header first
`PlanProtocol.PlanMessage.Builder` `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`PlanProtocol.PlanMessage.Builder` `setRootNode​(PlanProtocol.Operator value)` The root operator - this is the last operator In other words, the data that comes out of here is what is returned to the caller
`PlanProtocol.PlanMessage.Builder` `setRootNode​(PlanProtocol.Operator.Builder builderForValue)` The root operator - this is the last operator In other words, the data that comes out of here is what is returned to the caller
`PlanProtocol.PlanMessage.Builder` `setType​(PlanProtocol.PlanMessage.PlanType value)` The type of the plan
`PlanProtocol.PlanMessage.Builder` `setTypeValue​(int value)` The type of the plan
`PlanProtocol.PlanMessage.Builder` `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.PlanMessage.Builder>`

#### clear

    public PlanProtocol.PlanMessage.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.PlanMessage.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.PlanMessage.Builder>`

#### getDefaultInstanceForType

    public PlanProtocol.PlanMessage getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public PlanProtocol.PlanMessage build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public PlanProtocol.PlanMessage buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public PlanProtocol.PlanMessage.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.PlanMessage.Builder>`

#### setField

    public PlanProtocol.PlanMessage.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                     Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.PlanMessage.Builder>`

#### clearField

    public PlanProtocol.PlanMessage.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.PlanMessage.Builder>`

#### clearOneof

    public PlanProtocol.PlanMessage.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.PlanMessage.Builder>`

#### setRepeatedField

    public PlanProtocol.PlanMessage.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                             int index,
                                                             Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.PlanMessage.Builder>`

#### addRepeatedField

    public PlanProtocol.PlanMessage.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                             Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.PlanMessage.Builder>`

#### mergeFrom

    public PlanProtocol.PlanMessage.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.PlanMessage.Builder>`

#### mergeFrom

    public PlanProtocol.PlanMessage.Builder mergeFrom​(PlanProtocol.PlanMessage other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.PlanMessage.Builder>`

#### mergeFrom

    public PlanProtocol.PlanMessage.Builder mergeFrom​(com.google.protobuf.CodedInputStream input,
                                                      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                               throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.PlanMessage.Builder>`
Throws:
  `IOException`

#### hasHeader

    public boolean hasHeader()

    Header first

`.xg.db.sqlPlans.PlanHeader header = 1;`

Specified by:
  `hasHeader` in interface `PlanProtocol.PlanMessageOrBuilder`
Returns:
  Whether the header field is set.

#### getHeader

    public PlanProtocol.PlanHeader getHeader()

    Header first

`.xg.db.sqlPlans.PlanHeader header = 1;`

Specified by:
  `getHeader` in interface `PlanProtocol.PlanMessageOrBuilder`
Returns:
  The header.

#### setHeader

    public PlanProtocol.PlanMessage.Builder setHeader​(PlanProtocol.PlanHeader value)

    Header first

`.xg.db.sqlPlans.PlanHeader header = 1;`

#### setHeader

    public PlanProtocol.PlanMessage.Builder setHeader​(PlanProtocol.PlanHeader.Builder builderForValue)

    Header first

`.xg.db.sqlPlans.PlanHeader header = 1;`

#### mergeHeader

    public PlanProtocol.PlanMessage.Builder mergeHeader​(PlanProtocol.PlanHeader value)

    Header first

`.xg.db.sqlPlans.PlanHeader header = 1;`

#### clearHeader

    public PlanProtocol.PlanMessage.Builder clearHeader()

    Header first

`.xg.db.sqlPlans.PlanHeader header = 1;`

#### getHeaderBuilder

    public PlanProtocol.PlanHeader.Builder getHeaderBuilder()

    Header first

`.xg.db.sqlPlans.PlanHeader header = 1;`

#### getHeaderOrBuilder

    public PlanProtocol.PlanHeaderOrBuilder getHeaderOrBuilder()

    Header first

`.xg.db.sqlPlans.PlanHeader header = 1;`

Specified by:
  `getHeaderOrBuilder` in interface `PlanProtocol.PlanMessageOrBuilder`

#### getTypeValue

    public int getTypeValue()

    The type of the plan

`.xg.db.sqlPlans.PlanMessage.PlanType type = 2;`

Specified by:
  `getTypeValue` in interface `PlanProtocol.PlanMessageOrBuilder`
Returns:
  The enum numeric value on the wire for type.

#### setTypeValue

    public PlanProtocol.PlanMessage.Builder setTypeValue​(int value)

    The type of the plan

`.xg.db.sqlPlans.PlanMessage.PlanType type = 2;`

Parameters:
  `value` - The enum numeric value on the wire for type to set.
Returns:
  This builder for chaining.

#### getType

    public PlanProtocol.PlanMessage.PlanType getType()

    The type of the plan

`.xg.db.sqlPlans.PlanMessage.PlanType type = 2;`

Specified by:
  `getType` in interface `PlanProtocol.PlanMessageOrBuilder`
Returns:
  The type.

#### setType

    public PlanProtocol.PlanMessage.Builder setType​(PlanProtocol.PlanMessage.PlanType value)

    The type of the plan

`.xg.db.sqlPlans.PlanMessage.PlanType type = 2;`

Parameters:
  `value` - The type to set.
Returns:
  This builder for chaining.

#### clearType

    public PlanProtocol.PlanMessage.Builder clearType()

    The type of the plan

`.xg.db.sqlPlans.PlanMessage.PlanType type = 2;`

Returns:
  This builder for chaining.

#### hasRootNode

    public boolean hasRootNode()

    The root operator - this is the last operator
    In other words, the data that comes out of here is what is returned to the caller

`.xg.db.sqlPlans.Operator rootNode = 3;`

Specified by:
  `hasRootNode` in interface `PlanProtocol.PlanMessageOrBuilder`
Returns:
  Whether the rootNode field is set.

#### getRootNode

    public PlanProtocol.Operator getRootNode()

    The root operator - this is the last operator
    In other words, the data that comes out of here is what is returned to the caller

`.xg.db.sqlPlans.Operator rootNode = 3;`

Specified by:
  `getRootNode` in interface `PlanProtocol.PlanMessageOrBuilder`
Returns:
  The rootNode.

#### setRootNode

    public PlanProtocol.PlanMessage.Builder setRootNode​(PlanProtocol.Operator value)

    The root operator - this is the last operator
    In other words, the data that comes out of here is what is returned to the caller

`.xg.db.sqlPlans.Operator rootNode = 3;`

#### setRootNode

    public PlanProtocol.PlanMessage.Builder setRootNode​(PlanProtocol.Operator.Builder builderForValue)

    The root operator - this is the last operator
    In other words, the data that comes out of here is what is returned to the caller

`.xg.db.sqlPlans.Operator rootNode = 3;`

#### mergeRootNode

    public PlanProtocol.PlanMessage.Builder mergeRootNode​(PlanProtocol.Operator value)

    The root operator - this is the last operator
    In other words, the data that comes out of here is what is returned to the caller

`.xg.db.sqlPlans.Operator rootNode = 3;`

#### clearRootNode

    public PlanProtocol.PlanMessage.Builder clearRootNode()

    The root operator - this is the last operator
    In other words, the data that comes out of here is what is returned to the caller

`.xg.db.sqlPlans.Operator rootNode = 3;`

#### getRootNodeBuilder

    public PlanProtocol.Operator.Builder getRootNodeBuilder()

    The root operator - this is the last operator
    In other words, the data that comes out of here is what is returned to the caller

`.xg.db.sqlPlans.Operator rootNode = 3;`

#### getRootNodeOrBuilder

    public PlanProtocol.OperatorOrBuilder getRootNodeOrBuilder()

    The root operator - this is the last operator
    In other words, the data that comes out of here is what is returned to the caller

`.xg.db.sqlPlans.Operator rootNode = 3;`

Specified by:
  `getRootNodeOrBuilder` in interface `PlanProtocol.PlanMessageOrBuilder`

#### getEmptyResultSet

    public boolean getEmptyResultSet()

    This is only needed for explain
    For actual execution we don't even bother generating a plan
    If this is set, nothing else will be set

`bool emptyResultSet = 4;`

Specified by:
  `getEmptyResultSet` in interface `PlanProtocol.PlanMessageOrBuilder`
Returns:
  The emptyResultSet.

#### setEmptyResultSet

    public PlanProtocol.PlanMessage.Builder setEmptyResultSet​(boolean value)

    This is only needed for explain
    For actual execution we don't even bother generating a plan
    If this is set, nothing else will be set

`bool emptyResultSet = 4;`

Parameters:
  `value` - The emptyResultSet to set.
Returns:
  This builder for chaining.

#### clearEmptyResultSet

    public PlanProtocol.PlanMessage.Builder clearEmptyResultSet()

    This is only needed for explain
    For actual execution we don't even bother generating a plan
    If this is set, nothing else will be set

`bool emptyResultSet = 4;`

Returns:
  This builder for chaining.

#### setUnknownFields

    public final PlanProtocol.PlanMessage.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.PlanMessage.Builder>`

#### mergeUnknownFields

    public final PlanProtocol.PlanMessage.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.PlanMessage.Builder>`